# Class CIM_PlatformWatchdogServiceCapabilities
extends CIM_EnabledLogicalElementCapabilities

A class derived from Capabilities that describes the watchdog service management aspects of a system.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_PlatformWatchdogServiceCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A class derived from Capabilities that describes the watchdog service management aspects of a system.
UMLPackagePath | string | CIM::System::Watchdog
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ActionOnExpirationSupported | uint16[] |
Description | string | ActionOnExpirationSupported indicates the actions which can be performed when the watchdog timer expires. See CIM_PlatformWatchdogService.ActionOnExpiration for a description of the values.
ModelCorrespondence | string | CIM_PlatformWatchdogService.ActionOnExpiration
ValueMap | string | 2, 3, 4, 5, 6, 7, 8
Values | string | None - Status Only, System Reset, System Power Off, System Power Off, then On, Generate System NonMaskableInterrupt (NMI), Generate System Management Interrupt (SMI), Reset Monitored Entity
LastExpirationDataSupported | uint16[] |
Description | string | LastExpirationDataSupported indicates the data which is provided on the last expiration of the watchdog timer. The values in the enumeration are: A value set to 2 = "Time" shall indicate that the time of the last expiration is provided.
ModelCorrespondence | string | CIM_PlatformWatchdogService.TimeOfLastExpiration
ValueMap | string | 2
Values | string | Time
WatchdogTimerDataSupported | uint16[] |
Description | string | WatchdogTimerDataSupported indicates the data which is provided on the value of the watchdog timer. The values in the enumeration are: A value set to 2 = "Current Value" shall indicate that the time of the current value of the timer is provided. A value set to 3 = "Timer Resolution" shall indicate that the timer resolution for the last expiration is provided.
ModelCorrespondence | string | CIM_PlatformWatchdogService.CurrentTimerValue, CIM_PlatformWatchdogService.TimerResolution
ValueMap | string | 2, 3
Values | string | Current Value, Timer Resolution

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods